Package com.xebialabs.xlrelease.domain.events

## Class TeamUpdatedEvent$

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.TeamUpdatedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TeamUpdatedEvent$
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static TeamUpdatedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TeamUpdatedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TeamUpdatedEvent` | `apply​(Release release, Team original, Team updated)` |
    `TeamUpdatedEvent` | `apply​(java.lang.String containerId, Team original, Team updated)` |
    `scala.Option<scala.Tuple3<java.lang.String,​Team,​Team>>` | `unapply​(TeamUpdatedEvent x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final TeamUpdatedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### TeamUpdatedEvent$

          public TeamUpdatedEvent$()

  - ### Method Detail

    - #### apply

          public TeamUpdatedEvent apply​(Release release,
                                        Team original,
                                        Team updated)

    - #### apply

          public TeamUpdatedEvent apply​(java.lang.String containerId,
                                        Team original,
                                        Team updated)

    - #### unapply

          public scala.Option<scala.Tuple3<java.lang.String,​Team,​Team>> unapply​(TeamUpdatedEvent x$0)